user  nginx;
worker_processes  auto;
daemon off;

# Записывать критические ошибки и выше в stderr
# (см. https://github.com/nginxinc/docker-nginx/blob/594ce7a8bc26c85af88495ac94d5cd0096b306f7/mainline/alpine/Dockerfile#L104)
error_log  /var/log/nginx/error.log crit;
pid        /var/run/nginx.pid;


events {
    worker_connections  1024;
}


http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    # Отключите ведение журнала активности в целях конфиденциальности.
    access_log  off;

    # Не раскрывайте версию сервера
    server_tokens  off;

    sendfile  on;

    keepalive_timeout  95;

    # Включить сжатие ответа
    gzip  on;
    # Уровень сжатия: 1-9
    gzip_comp_level  1;
    # Отключите сжатие gzip для более старых версий IE.
    gzip_disable  msie6;
    # Минимальная длина ответа до того, как сработает gzip
    gzip_min_length  128;
    # Сжимайте эти типы MIME в дополнение к text/html.
    gzip_types  application/json;
    # Помогите с проксированием, добавив ответ Vary: Accept-Encoding.
    gzip_vary  on;

    include  /etc/nginx/sites-enabled/*.conf;
}
